# CompassChangedEventArgs

Namespace: **Wisej.Hybrid.Shared.Sensors**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Event arguments when compass reading changes.

{% tabs %}
{% tab title="C#" %}

```csharp
public class CompassChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class CompassChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)CompassChangedEventArgs(reading)

Initializes a new instance of the [CompassChangedEventArgs](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.compasschangedeventargs.md) class.

| Name        | Type                                                                                | Description               |
| ----------- | ----------------------------------------------------------------------------------- | ------------------------- |
| **reading** | [CompassData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.compassdata.md) | The compass data reading. |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Reading

[CompassData](/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.compassdata.md): The current values of the compass.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.shared.sensors.compasschangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
